// Point.cpp: implementation of the Point class.
//
//////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include "Point.h"

int Point::count = 0;

Point::Point(const Point &other)
{
	m_nX = other.m_nX;
	m_nY = other.m_nY;
}

Point::Point(const int *other)
{
	m_nX = other[0];
	m_nY = other[1];
}

Point::Point(int nX, int nY)
{
	m_nX = nX;
	m_nY = nY;
}

void Point::SetPosition(int nX, int nY)
{
	m_nX = nX;
	m_nY = nY;
}

void Point::Move(int nX, int nY)
{
	m_nX += nX;
	m_nY += nY;
}

void Point::Show()
{
	printf("X= %d Y= %d \n", m_nX, m_nY);
}

Point Point::operator + ( const Point &other )
{
    Point vResult(0, 0);

    vResult.m_nX = m_nX + other.m_nX;
    vResult.m_nY = m_nY + other.m_nY;

    return vResult;
}
